| backtranseq

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Back-translate a protein sequence to a nucleotide sequence

## Description

backtranseq reads a protein sequence and writes the nucleic acid sequence it is most likely to have come from.

## Algorithm

backtranseq uses a codon usage table which gives the frequency of usage of each codon for each amino acid. For each amino acid in the input sequence, the corresponding most frequently occuring codon is used in the nucleic acid sequence that is output.

## Usage

Here is a sample session with backtranseq

Note that this is a human protein and so the default human codon frequency file is used ie. is not specified

    % backtranseq
    Back-translate a protein sequence to a nucleotide sequence
    Input (gapped) protein sequence(s): tsw:opsd_human
    (gapped) nucleotide output sequence(s) [opsd_human.fasta]:

Go to the input files for this example
Go to the output files for this example

Example 2

This uses a drosophila sequence and codon table.

    % backtranseq -cfile Edrome.cut
    Back-translate a protein sequence to a nucleotide sequence
    Input (gapped) protein sequence(s): tsw:ach2_drome
    (gapped) nucleotide output sequence(s) [ach2_drome.fasta]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Back-translate a protein sequence to a nucleotide sequence
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     (Gapped) protein sequence(s) filename and
                                      optional format, or reference (input USA)
      [-outfile]           seqoutall  [<sequence>.<format>] (Aligned) nucleotide
                                      sequence set(s) filename and optional format
                                      (output USA)

       Additional (Optional) qualifiers:
       -cfile              codon      [Ehuman.cut] Codon usage table name

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-cfile" associated qualifiers
       -format             string     Data format

       "-outfile" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqall | (Gapped) protein sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
[-outfile] (Parameter 2) | seqoutall | (Aligned) nucleotide sequence set(s) filename and optional format (output USA) | Writeable sequence(s) | <*>.format
Additional (Optional) qualifiers
-cfile | codon | Codon usage table name | Codon usage file in EMBOSS data path | Ehuman.cut
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-sequence" associated seqall qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-cfile" associated codon qualifiers
-format | string | Data format | Any string |
"-outfile" associated seqoutall qualifiers
-osformat2 -osformat_outfile | string | Output seq format | Any string |
-osextension2 -osextension_outfile | string | File name extension | Any string |
-osname2 -osname_outfile | string | Base file name | Any string |
-osdirectory2 -osdirectory_outfile | string | Output directory | Any string |
-osdbname2 -osdbname_outfile | string | Database name to add | Any string |
-ossingle2 -ossingle_outfile | boolean | Separate file for each entry | Boolean value Yes/No | N
-oufo2 -oufo_outfile | string | UFO features | Any string |
-offormat2 -offormat_outfile | string | Features format | Any string |
-ofname2 -ofname_outfile | string | Features file name | Any string |
-ofdirectory2 -ofdirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

backtranambig reads one or more protein sequences.

The input is a standard EMBOSS sequence query (also known as a 'USA').

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: gff (gff3), gff2, embl (em), genbank (gb, refseq), ddbj, refseqp, pir (nbrf), swissprot (swiss, sw), dasgff and debug.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Input files for usage example

'tsw:opsd_human' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:opsd_human

    ID   OPSD_HUMAN              Reviewed;         348 AA.
    AC   P08100; Q16414; Q2M249;
    DT   01-AUG-1988, integrated into UniProtKB/Swiss-Prot.
    DT   01-AUG-1988, sequence version 1.
    DT   13-JUN-2012, entry version 145.
    DE   RecName: Full=Rhodopsin;
    DE   AltName: Full=Opsin-2;
    GN   Name=RHO; Synonyms=OPN2;
    OS   Homo sapiens (Human).
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi;
    OC   Mammalia; Eutheria; Euarchontoglires; Primates; Haplorrhini;
    OC   Catarrhini; Hominidae; Homo.
    OX   NCBI_TaxID=9606;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RX   MEDLINE=84272729; PubMed=6589631; DOI=10.1073/pnas.81.15.4851;
    RA   Nathans J., Hogness D.S.;
    RT   "Isolation and nucleotide sequence of the gene encoding human
    RT   rhodopsin.";
    RL   Proc. Natl. Acad. Sci. U.S.A. 81:4851-4855(1984).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RA   Suwa M., Sato T., Okouchi I., Arita M., Futami K., Matsumoto S.,
    RA   Tsutsumi S., Aburatani H., Asai K., Akiyama Y.;
    RT   "Genome-wide discovery and analysis of human seven transmembrane helix
    RT   receptor genes.";
    RL   Submitted (JUL-2001) to the EMBL/GenBank/DDBJ databases.
    RN   [3]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE MRNA].
    RC   TISSUE=Retina;
    RX   PubMed=17974005; DOI=10.1186/1471-2164-8-399;
    RA   Bechtel S., Rosenfelder H., Duda A., Schmidt C.P., Ernst U.,
    RA   Wellenreuther R., Mehrle A., Schuster C., Bahr A., Bloecker H.,
    RA   Heubner D., Hoerlein A., Michel G., Wedler H., Koehrer K.,
    RA   Ottenwaelder B., Poustka A., Wiemann S., Schupp I.;
    RT   "The full-ORF clone resource of the German cDNA consortium.";
    RL   BMC Genomics 8:399-399(2007).
    RN   [4]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE MRNA].
    RX   PubMed=15489334; DOI=10.1101/gr.2596504;
    RG   The MGC Project Team;
    RT   "The status, quality, and expansion of the NIH full-length cDNA
    RT   project: the Mammalian Gene Collection (MGC).";
    RL   Genome Res. 14:2121-2127(2004).
    RN   [5]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA] OF 1-120.
    RX   PubMed=8566799; DOI=10.1016/0378-1119(95)00688-5;
    RA   Bennett J., Beller B., Sun D., Kariko K.;
    RT   "Sequence analysis of the 5.34-kb 5' flanking region of the human
    RT   rhodopsin-encoding gene.";

      [Part of this file has been deleted for brevity]

    FT                                /FTId=VAR_004816.
    FT   VARIANT     209    209       V -> M (effect not known).
    FT                                /FTId=VAR_004817.
    FT   VARIANT     211    211       H -> P (in RP4; dbSNP:rs28933993).
    FT                                /FTId=VAR_004818.
    FT   VARIANT     211    211       H -> R (in RP4).
    FT                                /FTId=VAR_004819.
    FT   VARIANT     216    216       M -> K (in RP4).
    FT                                /FTId=VAR_004820.
    FT   VARIANT     220    220       F -> C (in RP4).
    FT                                /FTId=VAR_004821.
    FT   VARIANT     222    222       C -> R (in RP4).
    FT                                /FTId=VAR_004822.
    FT   VARIANT     255    255       Missing (in RP4).
    FT                                /FTId=VAR_004823.
    FT   VARIANT     264    264       Missing (in RP4).
    FT                                /FTId=VAR_004824.
    FT   VARIANT     267    267       P -> L (in RP4).
    FT                                /FTId=VAR_004825.
    FT   VARIANT     267    267       P -> R (in RP4).
    FT                                /FTId=VAR_004826.
    FT   VARIANT     292    292       A -> E (in CSNBAD1).
    FT                                /FTId=VAR_004827.
    FT   VARIANT     296    296       K -> E (in RP4; dbSNP:rs29001653).
    FT                                /FTId=VAR_004828.
    FT   VARIANT     297    297       S -> R (in RP4).
    FT                                /FTId=VAR_004829.
    FT   VARIANT     342    342       T -> M (in RP4).
    FT                                /FTId=VAR_004830.
    FT   VARIANT     345    345       V -> L (in RP4).
    FT                                /FTId=VAR_004831.
    FT   VARIANT     345    345       V -> M (in RP4).
    FT                                /FTId=VAR_004832.
    FT   VARIANT     347    347       P -> A (in RP4).
    FT                                /FTId=VAR_004833.
    FT   VARIANT     347    347       P -> L (in RP4; common variant).
    FT                                /FTId=VAR_004834.
    FT   VARIANT     347    347       P -> Q (in RP4).
    FT                                /FTId=VAR_004835.
    FT   VARIANT     347    347       P -> R (in RP4; dbSNP:rs29001566).
    FT                                /FTId=VAR_004836.
    FT   VARIANT     347    347       P -> S (in RP4; dbSNP:rs29001637).
    FT                                /FTId=VAR_004837.
    SQ   SEQUENCE   348 AA;  38893 MW;  6F4F6FCBA34265B2 CRC64;
         MNGTEGPNFY VPFSNATGVV RSPFEYPQYY LAEPWQFSML AAYMFLLIVL GFPINFLTLY
         VTVQHKKLRT PLNYILLNLA VADLFMVLGG FTSTLYTSLH GYFVFGPTGC NLEGFFATLG
         GEIALWSLVV LAIERYVVVC KPMSNFRFGE NHAIMGVAFT WVMALACAAP PLAGWSRYIP
         EGLQCSCGID YYTLKPEVNN ESFVIYMFVV HFTIPMIIIF FCYGQLVFTV KEAAAQQQES
         ATTQKAEKEV TRMVIIMVIA FLICWVPYAS VAFYIFTHQG SNFGPIFMTI PAFFAKSAAI
         YNPVIYIMMN KQFRNCMLTT ICCGKNPLGD DEASATVSKT ETSQVAPA
    //

### Input files for usage example 2

### Database entry: tsw:ach2_drome

    ID   ACH2_DROME              Reviewed;         576 AA.
    AC   P17644; Q0KI18; Q9VC73;
    DT   01-AUG-1990, integrated into UniProtKB/Swiss-Prot.
    DT   01-AUG-1990, sequence version 1.
    DT   18-APR-2012, entry version 123.
    DE   RecName: Full=Acetylcholine receptor subunit alpha-like 2;
    DE   Flags: Precursor;
    GN   Name=nAcRalpha-96Ab; Synonyms=Acr96Ab, AcrE, sad; ORFNames=CG6844;
    OS   Drosophila melanogaster (Fruit fly).
    OC   Eukaryota; Metazoa; Arthropoda; Hexapoda; Insecta; Pterygota;
    OC   Neoptera; Endopterygota; Diptera; Brachycera; Muscomorpha;
    OC   Ephydroidea; Drosophilidae; Drosophila; Sophophora.
    OX   NCBI_TaxID=7227;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA], TISSUE SPECIFICITY, AND
    RP   DEVELOPMENTAL STAGE.
    RC   TISSUE=Head;
    RX   MEDLINE=90353591; PubMed=2117557; DOI=10.1016/0014-5793(90)81170-S;
    RA   Jonas P., Baumann A., Merz B., Gundelfinger E.D.;
    RT   "Structure and developmental expression of the D alpha 2 gene encoding
    RT   a novel nicotinic acetylcholine receptor protein of Drosophila
    RT   melanogaster.";
    RL   FEBS Lett. 269:264-268(1990).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [MRNA].
    RX   MEDLINE=90360975; PubMed=1697262;
    RA   Sawruk E., Schloss P., Betz H., Schmitt B.;
    RT   "Heterogeneity of Drosophila nicotinic acetylcholine receptors: SAD, a
    RT   novel developmentally regulated alpha-subunit.";
    RL   EMBO J. 9:2671-2677(1990).
    RN   [3]
    RP   NUCLEOTIDE SEQUENCE [MRNA], TISSUE SPECIFICITY, AND DEVELOPMENTAL
    RP   STAGE.
    RC   TISSUE=Head;
    RX   MEDLINE=90301489; PubMed=2114015; DOI=10.1093/nar/18.12.3640;
    RA   Baumann A., Jonas P., Gundelfinger E.D.;
    RT   "Sequence of D alpha 2, a novel alpha-like subunit of Drosophila
    RT   nicotinic acetylcholine receptors.";
    RL   Nucleic Acids Res. 18:3640-3640(1990).
    RN   [4]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=Berkeley;
    RX   MEDLINE=20196006; PubMed=10731132; DOI=10.1126/science.287.5461.2185;
    RA   Adams M.D., Celniker S.E., Holt R.A., Evans C.A., Gocayne J.D.,
    RA   Amanatides P.G., Scherer S.E., Li P.W., Hoskins R.A., Galle R.F.,
    RA   George R.A., Lewis S.E., Richards S., Ashburner M., Henderson S.N.,
    RA   Sutton G.G., Wortman J.R., Yandell M.D., Zhang Q., Chen L.X.,
    RA   Brandon R.C., Rogers Y.-H.C., Blazej R.G., Champe M., Pfeiffer B.D.,
    RA   Wan K.H., Doyle C., Baxter E.G., Helt G., Nelson C.R., Miklos G.L.G.,
    RA   Abril J.F., Agbayani A., An H.-J., Andrews-Pfannkoch C., Baldwin D.,

      [Part of this file has been deleted for brevity]

    DR   GO; GO:0045211; C:postsynaptic membrane; IEA:UniProtKB-SubCell.
    DR   GO; GO:0004889; F:acetylcholine-activated cation-selective channel activity; IEA:InterPro.
    DR   GO; GO:0004872; F:receptor activity; IEA:UniProtKB-KW.
    DR   Gene3D; G3DSA:2.70.170.10; Neur_chan_lig_bd; 1.
    DR   InterPro; IPR006202; Neur_chan_lig-bd.
    DR   InterPro; IPR006201; Neur_channel.
    DR   InterPro; IPR006029; Neurotrans-gated_channel_TM.
    DR   InterPro; IPR018000; Neurotransmitter_ion_chnl_CS.
    DR   InterPro; IPR002394; Nicotinic_acetylcholine_rcpt.
    DR   PANTHER; PTHR18945; Neur_channel; 1.
    DR   Pfam; PF02931; Neur_chan_LBD; 1.
    DR   Pfam; PF02932; Neur_chan_memb; 1.
    DR   PRINTS; PR00254; NICOTINICR.
    DR   PRINTS; PR00252; NRIONCHANNEL.
    DR   SUPFAM; SSF90112; Neu_channel_TM; 1.
    DR   SUPFAM; SSF63712; Neur_chan_LBD; 1.
    DR   TIGRFAMs; TIGR00860; LIC; 1.
    DR   PROSITE; PS00236; NEUROTR_ION_CHANNEL; 1.
    PE   2: Evidence at transcript level;
    KW   Cell junction; Cell membrane; Complete proteome; Disulfide bond;
    KW   Glycoprotein; Ion transport; Ionic channel; Ligand-gated ion channel;
    KW   Membrane; Postsynaptic cell membrane; Receptor; Reference proteome;
    KW   Signal; Synapse; Transmembrane; Transmembrane helix; Transport.
    FT   SIGNAL        1     21       Probable.
    FT   CHAIN        22    576       Acetylcholine receptor subunit alpha-like
    FT                                2.
    FT                                /FTId=PRO_0000000300.
    FT   TOPO_DOM     22    261       Extracellular (Potential).
    FT   TRANSMEM    262    285       Helical; (Potential).
    FT   TRANSMEM    293    311       Helical; (Potential).
    FT   TRANSMEM    327    346       Helical; (Potential).
    FT   TOPO_DOM    347    526       Cytoplasmic (Potential).
    FT   TRANSMEM    527    545       Helical; (Potential).
    FT   CARBOHYD     65     65       N-linked (GlcNAc...) (Potential).
    FT   CARBOHYD    254    254       N-linked (GlcNAc...) (Potential).
    FT   CARBOHYD    570    570       N-linked (GlcNAc...) (Potential).
    FT   DISULFID    169    183       By similarity.
    FT   DISULFID    243    244       Associated with receptor activation (By
    FT                                similarity).
    SQ   SEQUENCE   576 AA;  65506 MW;  97D6A46CADC3F42F CRC64;
         MAPGCCTTRP RPIALLAHIW RHCKPLCLLL VLLLLCETVQ ANPDAKRLYD DLLSNYNRLI
         RPVSNNTDTV LVKLGLRLSQ LIDLNLKDQI LTTNVWLEHE WQDHKFKWDP SEYGGVTELY
         VPSEHIWLPD IVLYNNADGE YVVTTMTKAI LHYTGKVVWT PPAIFKSSCE IDVRYFPFDQ
         QTCFMKFGSW TYDGDQIDLK HISQKNDKDN KVEIGIDLRE YYPSVEWDIL GVPAERHEKY
         YPCCAEPYPD IFFNITLRRK TLFYTVNLII PCVGISYLSV LVFYLPADSG EKIALCISIL
         LSQTMFFLLI SEIIPSTSLA LPLLGKYLLF TMLLVGLSVV ITIIILNIHY RKPSTHKMRP
         WIRSFFIKRL PKLLLMRVPK DLLRDLAANK INYGLKFSKT KFGQALMDEM QMNSGGSSPD
         SLRRMQGRVG AGGCNGMHVT TATNRFSGLV GALGGGLSTL SGYNGLPSVL SGLDDSLSDV
         AARKKYPFEL EKAIHNVMFI QHHMQRQDEF NAEDQDWGFV AMVMDRLFLW LFMIASLVGT
         FVILGEAPSL YDDTKAIDVQ LSDVAKQIYN LTEKKN
    //

## Output file format

The output is a nucleotide sequence containing the most favoured back translation of the specified protein, and using the specified translation table (which defaults to human).

The output is a standard EMBOSS sequence file.

The results can be output in one of several styles by using the command-line qualifier `-osformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: embl, genbank, gff, pir, swiss, dasgff, debug, listfile, dbmotif, diffseq, excel, feattable, motif, nametable, regions, seqtable, simple, srs, table, tagseq.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Output files for usage example

### File: opsd_human.fasta

    >OPSD_HUMAN P08100 Rhodopsin (Opsin-2)
    ATGAACGGCACCGAGGGCCCCAACTTCTACGTGCCCTTCAGCAACGCCACCGGCGTGGTG
    AGGAGCCCCTTCGAGTACCCCCAGTACTACCTGGCCGAGCCCTGGCAGTTCAGCATGCTG
    GCCGCCTACATGTTCCTGCTGATCGTGCTGGGCTTCCCCATCAACTTCCTGACCCTGTAC
    GTGACCGTGCAGCACAAGAAGCTGAGGACCCCCCTGAACTACATCCTGCTGAACCTGGCC
    GTGGCCGACCTGTTCATGGTGCTGGGCGGCTTCACCAGCACCCTGTACACCAGCCTGCAC
    GGCTACTTCGTGTTCGGCCCCACCGGCTGCAACCTGGAGGGCTTCTTCGCCACCCTGGGC
    GGCGAGATCGCCCTGTGGAGCCTGGTGGTGCTGGCCATCGAGAGGTACGTGGTGGTGTGC
    AAGCCCATGAGCAACTTCAGGTTCGGCGAGAACCACGCCATCATGGGCGTGGCCTTCACC
    TGGGTGATGGCCCTGGCCTGCGCCGCCCCCCCCCTGGCCGGCTGGAGCAGGTACATCCCC
    GAGGGCCTGCAGTGCAGCTGCGGCATCGACTACTACACCCTGAAGCCCGAGGTGAACAAC
    GAGAGCTTCGTGATCTACATGTTCGTGGTGCACTTCACCATCCCCATGATCATCATCTTC
    TTCTGCTACGGCCAGCTGGTGTTCACCGTGAAGGAGGCCGCCGCCCAGCAGCAGGAGAGC
    GCCACCACCCAGAAGGCCGAGAAGGAGGTGACCAGGATGGTGATCATCATGGTGATCGCC
    TTCCTGATCTGCTGGGTGCCCTACGCCAGCGTGGCCTTCTACATCTTCACCCACCAGGGC
    AGCAACTTCGGCCCCATCTTCATGACCATCCCCGCCTTCTTCGCCAAGAGCGCCGCCATC
    TACAACCCCGTGATCTACATCATGATGAACAAGCAGTTCAGGAACTGCATGCTGACCACC
    ATCTGCTGCGGCAAGAACCCCCTGGGCGACGACGAGGCCAGCGCCACCGTGAGCAAGACC
    GAGACCAGCCAGGTGGCCCCCGCC

### Output files for usage example 2

### File: ach2_drome.fasta

    >ACH2_DROME P17644 Acetylcholine receptor subunit alpha-like 2 (Precursor)
    ATGGCCCCCGGCTGCTGCACCACCCGCCCCCGCCCCATCGCCCTGCTGGCCCACATCTGG
    CGCCACTGCAAGCCCCTGTGCCTGCTGCTGGTGCTGCTGCTGCTGTGCGAGACCGTGCAG
    GCCAACCCCGATGCCAAGCGCCTGTACGATGATCTGCTGAGCAACTACAACCGCCTGATC
    CGCCCCGTGAGCAACAACACCGATACCGTGCTGGTGAAGCTGGGCCTGCGCCTGAGCCAG
    CTGATCGATCTGAACCTGAAGGATCAGATCCTGACCACCAACGTGTGGCTGGAGCACGAG
    TGGCAGGATCACAAGTTCAAGTGGGATCCCAGCGAGTACGGCGGCGTGACCGAGCTGTAC
    GTGCCCAGCGAGCACATCTGGCTGCCCGATATCGTGCTGTACAACAACGCCGATGGCGAG
    TACGTGGTGACCACCATGACCAAGGCCATCCTGCACTACACCGGCAAGGTGGTGTGGACC
    CCCCCCGCCATCTTCAAGAGCAGCTGCGAGATCGATGTGCGCTACTTCCCCTTCGATCAG
    CAGACCTGCTTCATGAAGTTCGGCAGCTGGACCTACGATGGCGATCAGATCGATCTGAAG
    CACATCAGCCAGAAGAACGATAAGGATAACAAGGTGGAGATCGGCATCGATCTGCGCGAG
    TACTACCCCAGCGTGGAGTGGGATATCCTGGGCGTGCCCGCCGAGCGCCACGAGAAGTAC
    TACCCCTGCTGCGCCGAGCCCTACCCCGATATCTTCTTCAACATCACCCTGCGCCGCAAG
    ACCCTGTTCTACACCGTGAACCTGATCATCCCCTGCGTGGGCATCAGCTACCTGAGCGTG
    CTGGTGTTCTACCTGCCCGCCGATAGCGGCGAGAAGATCGCCCTGTGCATCAGCATCCTG
    CTGAGCCAGACCATGTTCTTCCTGCTGATCAGCGAGATCATCCCCAGCACCAGCCTGGCC
    CTGCCCCTGCTGGGCAAGTACCTGCTGTTCACCATGCTGCTGGTGGGCCTGAGCGTGGTG
    ATCACCATCATCATCCTGAACATCCACTACCGCAAGCCCAGCACCCACAAGATGCGCCCC
    TGGATCCGCAGCTTCTTCATCAAGCGCCTGCCCAAGCTGCTGCTGATGCGCGTGCCCAAG
    GATCTGCTGCGCGATCTGGCCGCCAACAAGATCAACTACGGCCTGAAGTTCAGCAAGACC
    AAGTTCGGCCAGGCCCTGATGGATGAGATGCAGATGAACAGCGGCGGCAGCAGCCCCGAT
    AGCCTGCGCCGCATGCAGGGCCGCGTGGGCGCCGGCGGCTGCAACGGCATGCACGTGACC
    ACCGCCACCAACCGCTTCAGCGGCCTGGTGGGCGCCCTGGGCGGCGGCCTGAGCACCCTG
    AGCGGCTACAACGGCCTGCCCAGCGTGCTGAGCGGCCTGGATGATAGCCTGAGCGATGTG
    GCCGCCCGCAAGAAGTACCCCTTCGAGCTGGAGAAGGCCATCCACAACGTGATGTTCATC
    CAGCACCACATGCAGCGCCAGGATGAGTTCAACGCCGAGGATCAGGATTGGGGCTTCGTG
    GCCATGGTGATGGATCGCCTGTTCCTGTGGCTGTTCATGATCGCCAGCCTGGTGGGCACC
    TTCGTGATCCTGGGCGAGGCCCCCAGCCTGTACGATGATACCAAGGCCATCGATGTGCAG
    CTGAGCGATGTGGCCAAGCAGATCTACAACCTGACCGAGAAGAAGAAC

## Data files

The codon usage table is read by default from "Ehum.cut" in the 'data/CODONS' directory of the EMBOSS distribution. If the name of a codon usage file is specified on the command line, then this file will first be searched for in the current directory and then in the 'data/CODONS' directory of the EMBOSS distribution.

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

## Notes

backtranseq reads a data file containing the codon usage table. The default file is `Ehum.cut` - the human codon usage table. Many others are available and can be set by name with the `-cfile` qualifier. It is important to use one that is appropriate for the species that your protein comes from. The specified data file must exist in the EMBOSS data directory (see below for more information).

## References

None.

## Warnings

None.

## Diagnostic Error Messages

"Corrupt codon index file" - the codon usage file is incomplete or empty.

"The file 'drosoph.cut' does not exist" - the codon usage file cannot be opened.

## Exit status

This program always exits with a status of 0, unless the codon usage table cannot be opened.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranambig | Back-translate a protein sequence to ambiguous nucleotide sequence
checktrans | Report STOP codons and ORF statistics of a protein
coderet | Extract CDS, mRNA and translations from feature tables
compseq | Calculate the composition of unique words in sequences
emowse | Search protein sequences by digest fragment molecular weight
freak | Generate residue/base frequency table or plot
mwcontam | Find weights common to multiple molecular weights files
mwfilter | Filter noisy data from molecular weights file
oddcomp | Identify proteins with specified sequence word composition
pepdigest | Report on protein proteolytic enzyme or reagent cleavage sites
pepinfo | Plot amino acid properties of a protein sequence in parallel
pepstats | Calculate statistics of protein properties
plotorf | Plot potential open reading frames in a nucleotide sequence
prettyseq | Write a nucleotide sequence and its translation to file
remap | Display restriction enzyme binding sites in a nucleotide sequence
showorf | Display a nucleotide sequence and translation in pretty format
showseq | Display sequences with features in pretty format
sixpack | Display a DNA sequence with 6-frame translation and ORFs
transeq | Translate nucleic acid sequences
wordcount | Count and extract unique words in molecular sequence(s)

## Author(s)

Alan Bleasby
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Completed 6 Oct 1999

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None